Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common.plugin
Interface PluginConstants

All Known Implementing Classes:
  InfoObject, PluginConfiguration

public interface PluginConstants

Defines various constants used by the plugin framework.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `CATEGORY_ID_BEGIN` System assigned plugin category IDs start here.
`static int` | `CATEGORY_ID_EXCEPTION` Category ID for exception handling actions.
`static int` | `CATEGORY_ID_INTEGRATION` Category ID for integration actions.
`static int` | `CATEGORY_ID_MISCELLANEOUS` Category ID for miscellaneous actions.
`static int` | `CATEGORY_ID_NEW` Category ID for new plugin-defined categories.
`static int` | `CATEGORY_ID_TASK` Category ID for task related actions.
`static int` | `CATEGORY_ID_WORKFLOW` Category ID for workflow related actions.
`static int` | `DEFINITION_CREATED` Notification event raised when a template definition is created.
`static int` | `DEFINITION_DELETED` Notification event raised when a template definition is deleted.
`static int` | `DEFINITION_UPDATED` Notification event raised when a template definition is updated.
`static int` | `EVENT_NOTIFICATION_ALL` Bitmask value used to register for all notifications in a category.
`static int` | `EVENT_NOTIFICATION_NONE` Bitmask value used to register for no notifications in a category.
`static int` | `HELP_HTML` Signifies standard HTML help.
`static int` | `HELP_JAVA_HELP` Signifies a JavaHelp HelpSet.
`static int` | `INSTANCE_ABORTED` Notification event raised when a workflow instance is aborted.
`static int` | `INSTANCE_COMPLETED` Notification event raised when a workflow instance is completed.
`static int` | `INSTANCE_CREATED` Notification event raised when a workflow instance is created.
`static int` | `INSTANCE_DELETED` Notification event raised when a workflow instance is deleted.
`static int` | `INSTANCE_UPDATED` Notification event raised when a workflow instance is saved.
`static java.lang.String` | `MB_NAME` The JMX object name of the PluginManagerCfg MBean.
`static java.lang.String` | `MB_NOTIF_PLUGIN_CONFIG_DELETE` MBean notification sigifying that a plugin configuration has been deleted.
`static java.lang.String` | `MB_NOTIF_PLUGIN_CONFIG_SET` MBean notification sigifying that a plugin configuration has been updated.
`static java.lang.String` | `MB_NOTIF_PLUGIN_INVALIDATE` MBean notification sigifying that cached plugin capabilities have been invalidated.
`static java.lang.String` | `MB_NOTIF_PLUGIN_LOAD` MBean notification sigifying that a plugin has been loaded.
`static java.lang.String` | `MB_NOTIF_PLUGIN_UNLOAD` MBean notification sigifying that a plugin has been unloaded.
`static int` | `MODE_AUTOMATIC` The Plugin Manager automatically starts this plugin on system startup.
`static int` | `MODE_DISABLED` The plugin is disabled and cannot be started.
`static int` | `MODE_MANUAL` A user must manually start this plugin.
`static int` | `NOTIFICATION_DEFINITION` Signifies a template definition notification.
`static int` | `NOTIFICATION_INSTANCE` Signifies a workflow instance notification.
`static int` | `NOTIFICATION_TASK` Signifies a task notification.
`static int` | `NOTIFICATION_TEMPLATE` Signifies a template notification.
`static int` | `STATE_EXITING` The plugin manager is exiting.
`static int` | `STATE_INITIALIZED` The plugin manager has been initialized.
`static int` | `STATE_INITIALIZING` The plugin manager is initializing.
`static int` | `STATE_UNINITIALIZED` The plugin manager has not been initialized.
`static int` | `STATUS_DEPLOYED` The plugin has been deployed but not initialized.
`static int` | `STATUS_ERROR` The plugin threw an exception when called, or requires a later version of the framework.
`static int` | `STATUS_INITIALIZED` The plugin has been initialized but not loaded.
`static int` | `STATUS_LOADED` The plugin has been loaded.
`static int` | `STATUS_LOADING` The plugin is being loaded.
`static int` | `STATUS_MISSING` The plugin has a registered configuration, but the plugin itself is not deployed.
`static int` | `STATUS_UNLOADING` The plugin is being unloaded.
`static int` | `TASK_ASSIGNED` Notification event raised when a task instance is assigned.
`static int` | `TASK_COMPLETED` Notification event raised when a task instance is completed.
`static int` | `TASK_EXECUTED` Notification event raised when a task instance is executed.
`static int` | `TASK_OVERDUE` Notification event raised when a task instance is overdue.
`static int` | `TASK_STARTED` Notification event raised when a task instance is started.
`static int` | `TASK_UNASSIGNED` Notification event raised when a task instance is unassigned.
`static int` | `TASK_UNMARKED_DONE` Notification event raised when a task instance is marked incomplete.
`static int` | `TASK_UPDATED` Notification event raised when a task's properties are updated.
`static int` | `TEMPLATE_CREATED` Notification event raised when a template is created.
`static int` | `TEMPLATE_DELETED` Notification event raised when a template is deleted.
`static int` | `TEMPLATE_UPDATED` Notification event raised when a template is updated.
`static int` | `TYPE_ACTION_INFO` Used to retrieve a specific `ActionInfo` object.
`static int` | `TYPE_CONFIGURATION_INFO` Used to retrieve a specific `ConfigurationInfo` object.
`static int` | `TYPE_DONE_INFO` Used to retrieve a specific `DoneInfo` object.
`static int` | `TYPE_EVENT_HANDLER_INFO` Used to retrieve a specific `EventHandlerInfo` object.
`static int` | `TYPE_EVENT_INFO` Used to retrieve a specific `EventInfo` object.
`static int` | `TYPE_FIELD_INFO` Used to retrieve a specific `FieldInfo` object.
`static int` | `TYPE_FUNCTION_INFO` Used to retrieve a specific `FunctionInfo` object.
`static int` | `TYPE_HELP_SET_INFO` Used to retrieve a specific `HelpSetInfo` object.
`static int` | `TYPE_START_INFO` Used to retrieve a specific `StartInfo` object.
`static int` | `TYPE_TEMPLATE_DEFINITION_PROPERTIES_INFO` Used to retrieve a specific `TemplateDefinitionPropertiesInfo` object.
`static int` | `TYPE_TEMPLATE_PROPERTIES_INFO` Used to retrieve a specific `TemplatePropertiesInfo` object.
`static int` | `TYPE_VARIABLE_TYPE_INFO` Used to retrieve a specific `VariableTypeInfo` object.

Field Detail

### MB_NAME

    public static final java.lang.String MB_NAME

  The JMX object name of the PluginManagerCfg MBean. The MBean raises regular notifications. The user data contains a `ConfigurationData` object if the notification relates to a particular plugin.
  Since:
    WebLogic Platform version Avalanche

### MB_NOTIF_PLUGIN_LOAD

    public static final java.lang.String MB_NOTIF_PLUGIN_LOAD

  MBean notification sigifying that a plugin has been loaded.
  Since:
    WebLogic Platform version Avalanche

### MB_NOTIF_PLUGIN_UNLOAD

    public static final java.lang.String MB_NOTIF_PLUGIN_UNLOAD

  MBean notification sigifying that a plugin has been unloaded.
  Since:
    WebLogic Platform version Avalanche

### MB_NOTIF_PLUGIN_CONFIG_SET

    public static final java.lang.String MB_NOTIF_PLUGIN_CONFIG_SET

  MBean notification sigifying that a plugin configuration has been updated.
  Since:
    WebLogic Platform version Avalanche

### MB_NOTIF_PLUGIN_CONFIG_DELETE

    public static final java.lang.String MB_NOTIF_PLUGIN_CONFIG_DELETE

  MBean notification sigifying that a plugin configuration has been deleted.
  Since:
    WebLogic Platform version Avalanche

### MB_NOTIF_PLUGIN_INVALIDATE

    public static final java.lang.String MB_NOTIF_PLUGIN_INVALIDATE

  MBean notification sigifying that cached plugin capabilities have been invalidated.
  Since:
    WebLogic Platform version Avalanche

### STATE_UNINITIALIZED

    public static final int STATE_UNINITIALIZED

  The plugin manager has not been initialized.
  Since:
    WebLogic Integration 2.1 SP1

### STATE_INITIALIZING

    public static final int STATE_INITIALIZING

  The plugin manager is initializing.
  Since:
    WebLogic Integration 2.1 SP1

### STATE_EXITING

    public static final int STATE_EXITING

  The plugin manager is exiting.
  Since:
    WebLogic Integration 2.1 SP1

### STATE_INITIALIZED

    public static final int STATE_INITIALIZED

  The plugin manager has been initialized.
  Since:
    WebLogic Integration 2.1 SP1

### MODE_DISABLED

    public static final int MODE_DISABLED

  The plugin is disabled and cannot be started.

### MODE_AUTOMATIC

    public static final int MODE_AUTOMATIC

  The Plugin Manager automatically starts this plugin on system startup.

### MODE_MANUAL

    public static final int MODE_MANUAL

  A user must manually start this plugin. The plugin manager will also load the plugin when loading another plugin that declares a dependency on this one.

### STATUS_MISSING

    public static final int STATUS_MISSING

  The plugin has a registered configuration, but the plugin itself is not deployed.

### STATUS_ERROR

    public static final int STATUS_ERROR

  The plugin threw an exception when called, or requires a later version of the framework.

### STATUS_DEPLOYED

    public static final int STATUS_DEPLOYED

  The plugin has been deployed but not initialized.

### STATUS_INITIALIZED

    public static final int STATUS_INITIALIZED

  The plugin has been initialized but not loaded.

### STATUS_UNLOADING

    public static final int STATUS_UNLOADING

  The plugin is being unloaded.

### STATUS_LOADING

    public static final int STATUS_LOADING

  The plugin is being loaded.

### STATUS_LOADED

    public static final int STATUS_LOADED

  The plugin has been loaded.

### CATEGORY_ID_NEW

    public static final int CATEGORY_ID_NEW

  Category ID for new plugin-defined categories.

### CATEGORY_ID_TASK

    public static final int CATEGORY_ID_TASK

  Category ID for task related actions.

### CATEGORY_ID_WORKFLOW

    public static final int CATEGORY_ID_WORKFLOW

  Category ID for workflow related actions.

### CATEGORY_ID_INTEGRATION

    public static final int CATEGORY_ID_INTEGRATION

  Category ID for integration actions.

### CATEGORY_ID_MISCELLANEOUS

    public static final int CATEGORY_ID_MISCELLANEOUS

  Category ID for miscellaneous actions.

### CATEGORY_ID_EXCEPTION

    public static final int CATEGORY_ID_EXCEPTION

  Category ID for exception handling actions.

### CATEGORY_ID_BEGIN

    public static final int CATEGORY_ID_BEGIN

  System assigned plugin category IDs start here.

### TYPE_ACTION_INFO

    public static final int TYPE_ACTION_INFO

  Used to retrieve a specific `ActionInfo` object.

### TYPE_CONFIGURATION_INFO

    public static final int TYPE_CONFIGURATION_INFO

  Used to retrieve a specific `ConfigurationInfo` object.

### TYPE_TEMPLATE_PROPERTIES_INFO

    public static final int TYPE_TEMPLATE_PROPERTIES_INFO

  Used to retrieve a specific `TemplatePropertiesInfo` object.

### TYPE_TEMPLATE_DEFINITION_PROPERTIES_INFO

    public static final int TYPE_TEMPLATE_DEFINITION_PROPERTIES_INFO

  Used to retrieve a specific `TemplateDefinitionPropertiesInfo` object.

### TYPE_START_INFO

    public static final int TYPE_START_INFO

  Used to retrieve a specific `StartInfo` object.

### TYPE_DONE_INFO

    public static final int TYPE_DONE_INFO

  Used to retrieve a specific `DoneInfo` object.

### TYPE_EVENT_INFO

    public static final int TYPE_EVENT_INFO

  Used to retrieve a specific `EventInfo` object.

### TYPE_EVENT_HANDLER_INFO

    public static final int TYPE_EVENT_HANDLER_INFO

  Used to retrieve a specific `EventHandlerInfo` object.

### TYPE_FIELD_INFO

    public static final int TYPE_FIELD_INFO

  Used to retrieve a specific `FieldInfo` object.

### TYPE_FUNCTION_INFO

    public static final int TYPE_FUNCTION_INFO

  Used to retrieve a specific `FunctionInfo` object.

### TYPE_VARIABLE_TYPE_INFO

    public static final int TYPE_VARIABLE_TYPE_INFO

  Used to retrieve a specific `VariableTypeInfo` object.

### TYPE_HELP_SET_INFO

    public static final int TYPE_HELP_SET_INFO

  Used to retrieve a specific `HelpSetInfo` object.

### HELP_HTML

    public static final int HELP_HTML

  Signifies standard HTML help. @see HelpSetInfo

### HELP_JAVA_HELP

    public static final int HELP_JAVA_HELP

  Signifies a JavaHelp HelpSet. @see HelpSetInfo

### NOTIFICATION_TEMPLATE

    public static final int NOTIFICATION_TEMPLATE

  Signifies a template notification.

### NOTIFICATION_DEFINITION

    public static final int NOTIFICATION_DEFINITION

  Signifies a template definition notification.

### NOTIFICATION_INSTANCE

    public static final int NOTIFICATION_INSTANCE

  Signifies a workflow instance notification.

### NOTIFICATION_TASK

    public static final int NOTIFICATION_TASK

  Signifies a task notification.

### EVENT_NOTIFICATION_NONE

    public static final int EVENT_NOTIFICATION_NONE

  Bitmask value used to register for no notifications in a category.

### EVENT_NOTIFICATION_ALL

    public static final int EVENT_NOTIFICATION_ALL

  Bitmask value used to register for all notifications in a category.

### TEMPLATE_CREATED

    public static final int TEMPLATE_CREATED

  Notification event raised when a template is created.

### TEMPLATE_UPDATED

    public static final int TEMPLATE_UPDATED

  Notification event raised when a template is updated.

### TEMPLATE_DELETED

    public static final int TEMPLATE_DELETED

  Notification event raised when a template is deleted.

### DEFINITION_CREATED

    public static final int DEFINITION_CREATED

  Notification event raised when a template definition is created.

### DEFINITION_UPDATED

    public static final int DEFINITION_UPDATED

  Notification event raised when a template definition is updated.

### DEFINITION_DELETED

    public static final int DEFINITION_DELETED

  Notification event raised when a template definition is deleted.

### INSTANCE_CREATED

    public static final int INSTANCE_CREATED

  Notification event raised when a workflow instance is created.

### INSTANCE_COMPLETED

    public static final int INSTANCE_COMPLETED

  Notification event raised when a workflow instance is completed.

### INSTANCE_UPDATED

    public static final int INSTANCE_UPDATED

  Notification event raised when a workflow instance is saved.

### INSTANCE_ABORTED

    public static final int INSTANCE_ABORTED

  Notification event raised when a workflow instance is aborted.

### INSTANCE_DELETED

    public static final int INSTANCE_DELETED

  Notification event raised when a workflow instance is deleted.

### TASK_STARTED

    public static final int TASK_STARTED

  Notification event raised when a task instance is started.

### TASK_EXECUTED

    public static final int TASK_EXECUTED

  Notification event raised when a task instance is executed.

### TASK_COMPLETED

    public static final int TASK_COMPLETED

  Notification event raised when a task instance is completed.

### TASK_UNMARKED_DONE

    public static final int TASK_UNMARKED_DONE

  Notification event raised when a task instance is marked incomplete.

### TASK_OVERDUE

    public static final int TASK_OVERDUE

  Notification event raised when a task instance is overdue.

### TASK_ASSIGNED

    public static final int TASK_ASSIGNED

  Notification event raised when a task instance is assigned.

### TASK_UNASSIGNED

    public static final int TASK_UNASSIGNED

  Notification event raised when a task instance is unassigned.

### TASK_UPDATED

    public static final int TASK_UPDATED

  Notification event raised when a task's properties are updated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)